<?php

namespace FiloBlu\CustomerBlocker\Observer\Sales;

class OrderPlaceBeforeAbstract implements \Magento\Framework\Event\ObserverInterface {

    const EMAIL_BLOCKER_ENABLE_CONFIG_PATH = 'filoblu_customer_blocker/block_by_email_address/enable';
    const EMAIL_BLOCKER_ADDRESSES_CONFIG_PATH = 'filoblu_customer_blocker/block_by_email_address/email_addresses_to_block';

    protected $_scopeConfig;
    protected $messageManager;

    public function __construct(
    \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig,
            \Magento\Framework\Message\ManagerInterface $messageManager) {
        $this->_scopeConfig = $scopeConfig;
        $this->messageManager = $messageManager;
    }

    protected function loadFilter() {
        $email_list = preg_split('/,|' . "\n" . '/', $this->_scopeConfig->getValue(self::EMAIL_BLOCKER_ADDRESSES_CONFIG_PATH, \Magento\Store\Model\ScopeInterface::SCOPE_WEBSITE));
        $validated_list = array();
        foreach ($email_list as $address) {
            if ($address != '') {
                $validated_list[] = $address;
            }
        }
        return $validated_list;
    }

    public function execute(\Magento\Framework\Event\Observer $observer) {
        
    }

}
